%{?nodejs_find_provides_and_requires}

%global commit b78e3743096da0e8de4f6ee204f11fbdab353fd5

%global enable_tests 0
# tests disabled because there are no tests

Name:       nodejs-css-stringify
Version:    2.0.0
Release:    1%{?dist}
Summary:    A CSS compiler for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/visionmedia/css-stringify
# Use GitHub as the NPM tarball is missing useful files/folders.
Source0:    https://github.com/visionmedia/css-stringify/archive/%{commit}/%{name}-%{version}.tar.gz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(css-parse)
BuildRequires:  npm(should)
BuildRequires:  npm(source-map)
%endif

%description
%{summary}.


%prep
%setup -q -n css-stringify-%{commit}
%nodejs_fixdep source-map '~0.1.27'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/css-stringify
cp -pr *.json *.js  \
    %{buildroot}%{nodejs_sitelib}/css-stringify

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --require should --reporter spec --bail
%endif


%files
%{!?_licensedir:%global license %doc}
%doc Readme.md 
%license LICENSE
%{nodejs_sitelib}/css-stringify


%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Update to upstream 2.0.0 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.4.1-1
- initial package
